\documentclass{standalone}
\usepackage{pgf,tikz,pgfplots}
\pgfplotsset{compat=1.15}
\input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-0.25,-0.25) rectangle (5.25,5.25);
\fill[line width=1.5pt,fill=Gris3] (0,4) -- (1,4) -- (1,3) -- (0,3) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (1,3) -- (2,3) -- (2,2) -- (1,2) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (2,2) -- (3,2) -- (3,1) -- (2,1) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (3,1) -- (4,1) -- (4,0) -- (3,0) -- cycle;
\draw [line width=1.5pt] (0,0)-- (5,0);
\draw [line width=1.5pt] (5,5)-- (5,0);
\draw [line width=1.5pt] (0,5)-- (5,5);
\draw [line width=1.5pt] (0,5)-- (0,0);
\draw [line width=1.5pt] (1,0)-- (1,5);
\draw [line width=1.5pt] (2,0)-- (2,5);
\draw [line width=1.5pt] (3,5)-- (3,0);
\draw [line width=1.5pt] (4,0)-- (4,5);
\draw [line width=1.5pt] (5,4)-- (0,4);
\draw [line width=1.5pt] (0,3)-- (5,3);
\draw [line width=1.5pt] (0,2)-- (5,2);
\draw [line width=1.5pt] (5,1)-- (0,1);
\draw [line width=1.5pt] (0,4)-- (1,4);
\draw [line width=1.5pt] (1,4)-- (1,3);
\draw [line width=1.5pt] (1,3)-- (0,3);
\draw [line width=1.5pt] (0,3)-- (0,4);
\draw [line width=1.5pt] (1,3)-- (2,3);
\draw [line width=1.5pt] (2,3)-- (2,2);
\draw [line width=1.5pt] (2,2)-- (1,2);
\draw [line width=1.5pt] (1,2)-- (1,3);
\draw [line width=1.5pt] (2,2)-- (3,2);
\draw [line width=1.5pt] (3,2)-- (3,1);
\draw [line width=1.5pt] (3,1)-- (2,1);
\draw [line width=1.5pt] (2,1)-- (2,2);
\draw [line width=1.5pt] (3,1)-- (4,1);
\draw [line width=1.5pt] (4,1)-- (4,0);
\draw [line width=1.5pt] (4,0)-- (3,0);
\draw [line width=1.5pt] (3,0)-- (3,1);
\end{tikzpicture}
\end{document}